﻿@model VirtualCarGarage.MVC.Models.UserEditViewModel
@{
    ViewData["Title"] = "Profile";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="container mt-3">
    <div class="text-center">
        <h1 class="text-dark font-weight-bolder">My Profile</h1>
        <form asp-action="Profile">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="UserId" />
            <div class="form-group">
                <label asp-for="FirstName" class="control-label"></label>
                <input asp-for="FirstName" class="form-control" />
                <span asp-validation-for="FirstName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="LastName" class="control-label"></label>
                <input asp-for="LastName" class="form-control" />
                <span asp-validation-for="LastName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="PhoneNumber" class="control-label"></label>
                <input asp-for="PhoneNumber" class="form-control" />
                <span asp-validation-for="PhoneNumber" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Email" class="control-label"></label>
                <input asp-for="Email" class="form-control" />
                <span asp-validation-for="Email" class="text-danger"></span>
            </div>
            <br />
            <div class="form-group">
                <a asp-action="ChangePass" class="btn btn-primary">Change Password</a>
            </div>
        </form>
        <br />
        <div class="form-group">
            <input type="submit" value="Save" class="btn btn-primary" />
            <a asp-controller="Home" asp-action="Index" class="btn btn-primary">Back</a>
        </div>
    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}